/* Set up a given format. This is a singleton module -- you can't have
 more than one formatter at once. Formatstr has the options of including:
 d - days, h - hours, m - minutes, s - seconds. Order is important, and 
 repeats are allowed, though whitespace is ignored. */
int setup_formatter(char *formatstr);

/* Return formatted time, according to formatstr */
char *time_format(int secs, int human);
