typedef struct dir_entry {
	char *dirname;
	struct dir_entry *next;
	int depth;
	int total;
} dir_entry;

/* Make a stack */
void create_dirstack();

/* Push a directory entry onto the stack */
void dirpush(dir_entry *dir);

/* Pop a dir off the top of the stack */
dir_entry *dirpop();

/* Get current stack size */
int getsize();

/* Flip stack 
void flip_dirstack(); */

/* Look at value on top of stack. 
dir_entry *dirlook(); */


